• Revista PROGRAMAR: Já está disponível a edição #53 da revista programar. Faz já o download aqui!

pacman

Dificuldades em Java

4 mensagens neste tópico

Olá pessoal.

Estou actualmente a trabalhar com Java, mas nunca foi o meu forte, melhor, nunca trabalhei/investiguei muito Java, sempre trabalhei mais com C#. Agora que tenho mesmo de usar Java estou com algumas dificuldades.

Para já tenho uma dúvida que penso ser básica mas infelizmente não consegui encontrar resposta para ela no google.

Para puder criar formulários no eclipse (estou a usar o eclipse 3.4) de forma mais simples, ou seja, gráficamente sem ser por código, tenho de ter um plug-in instalado, certo?

Qual é o plug-in? O JavaBean? Como posso instalar esse plug-in?

Obrigado pela vossa atenção

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Acho que actualmente o eclipse tem essa parte da plataforma parada deve a versão 3.2 salvo erro. O plug-in era o http://www.eclipse.org/vep/WebContent/main.php como podes ver está sem actualizações á bastante tempo e deixava bastante a desejar.

Podes recorrer ao Netbeans que tem um visual designer muito bom e simples, ou então fazer o interface mesmo á mão ou seja escrever o código todo.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Acho que actualmente o eclipse tem essa parte da plataforma parada deve a versão 3.2 salvo erro. O plug-in era o http://www.eclipse.org/vep/WebContent/main.php como podes ver está sem actualizações á bastante tempo e deixava bastante a desejar.

Podes recorrer ao Netbeans que tem um visual designer muito bom e simples, ou então fazer o interface mesmo á mão ou seja escrever o código todo.

Ok, obrigado pela ajuda.

Eu tenho estado a usar a versão 3.1 já com o plug-in instalado e estava tentar passar para o 3.4.

Vou tentar experimentar o netbeans então.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Relativamente ao designer do eclipse mencionado, as últimas coisas que li, ainda esta semana, é que o seu desenvolvimento estava estagnado, não sendo compatível com as últimas versões.

Dos restantes IDEs que conheço, o NeteBeans será mesmo a tua melhor escolha, quer na versão 6.1 quer na beta 6.5 ou algumas de development actuais, se te puderes dar a esse luxo.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Crie uma conta ou ligue-se para comentar

Só membros podem comentar

Criar nova conta

Registe para ter uma conta na nossa comunidade. É fácil!


Registar nova conta

Entra

Já tem conta? Inicie sessão aqui.


Entrar Agora